Bug 2022462 - Modals assigned modal-lg class are no longer the correct width
Summary: Modals assigned modal-lg class are no longer the correct width
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.z
Assignee: Steve Goodwin
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 2021693
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-11 17:12 UTC by OpenShift BugZilla Robot
Modified: 2021-11-29 10:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-29 10:53:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10442 0 None open [release-4.9] Bug 2022462: Set large width for modals with modal-lg class 2021-11-17 01:01:24 UTC
Red Hat Product Errata RHBA-2021:4834 0 None None None 2021-11-29 10:54:14 UTC

Description OpenShift BugZilla Robot 2021-11-11 17:12:35 UTC
+++ This bug was initially created as a clone of Bug #2021693 +++

Modals assigned 'modal-lg' class should be given a wider max-width than default modals.

Effected modals
Edit Taints, Edit Tolerances, Pipeline start, Pipeline trigger, Kubevirt VM resource


Actual results:
Modals with 'modal-lg' class get the default max-width of 600px.

Expected results:
Modals with 'modal-lg' class get a max-width of 70rem (1120px) when browser is greater than 1200px.

Additional info:
This bug was introduced with the removal of the Bootstrap dependency.

--- Additional comment from sgoodwin on 2021-11-09 23:46:24 UTC ---

Created attachment 1840970 [details]
Edit tolerations modal should be 1120px width

Comment 2 Yanping Zhang 2021-11-23 02:49:19 UTC
Test against pr has passed, and fix has been included in nightly build, so move the bug to Verified.

Comment 5 errata-xmlrpc 2021-11-29 10:53:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4834


Note You need to log in before you can comment on or make changes to this bug.